Summary:	Restricted shell for scp or sftp
Name:		rssh
Version:	2.3.2
Release:	%mkrel 9
License:	BSD
Group:		Networking/Remote access
URL:		http://www.pizzashack.org/rssh/
#gw this is tar.gz for signature checking
Source0:	http://prdownloads.sourceforge.net/rssh/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/rssh/%{name}-%{version}.tar.gz.sig 
Patch0:     rssh-2.3.2-subversion-support.patch
Requires:	openssh
BuildRequires:	openssh-server
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
rssh is a restricted shell, used as a login shell, that allows users to perform
only scp, sftp, cvs, svnserve (Subversion), rdist, and/or rsync operations.

%prep
%setup -q
%patch0 -p 1

%build
%configure2_5x \
    --with-sftp-server=%{_libdir}/ssh/sftp-server \
    --with-rsync=/usr/bin/rsync \
    --with-scp=/usr/bin/scp \
    --with-rdist=/usr/bin/rdist \
    --with-cvs=/usr/bin/cvs \
    --with-svnserve=/usr/bin/svnserve
%make 

%install
rm -rf %{buildroot}
%makeinstall

install -m 755 -D conf_convert %{buildroot}%{_datadir}/%{name}/conf_convert

cat > README.2.2.8-8mdv.upgrade.urpmi <<EOF
Subversion support

The 2.3.2-8mdv release of the rssh package adds support for Subversion by
adding an additional configuration parameter that, if set, allows an rssh user
to run svnserve -t.

This support requires changing the /etc/rssh.conf file format to add an
additional binary digit to the permissions field.  The package will attempt to
make that change automatically during the upgrade, disabling svnserve for all
users by default, but you may want to double-check the resulting /etc/rssh.conf
file to be sure it's correct.
EOF

%clean
rm -rf %{buildroot}

%post
# 2.3.2-8mdv added Subversion support, which requires adding another binary
# digit to the user configuration lines in rssh.conf.  When upgrading, run
# the conf_convert script to do so.
if [ $1 = 2 ]; then
    echo 'Adjusting /etc/rssh.conf for file format change'
    %{_datadir}/rssh/conf_convert %{_sysconfdir}/rssh.conf \
        > %{_sysconfdir}/rssh.conf.tmp
    if cmp %{_sysconfdir}/rssh.conf.tmp %{_sysconfdir}/rssh.conf >/dev/null ; then
        rm -f %{_sysconfdir}/rssh.conf.tmp
    else
        mv -f %{_sysconfdir}/rssh.conf.tmp %{_sysconfdir}/rssh.conf
    fi
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog CHROOT COPYING README SECURITY TODO README.2.2.8-8mdv.upgrade.urpmi
%config(noreplace) %{_sysconfdir}/rssh.conf
%attr(0755,root,root) %{_bindir}/rssh
%attr(4755,root,root) %{_libexecdir}/rssh_chroot_helper
%{_mandir}/man?/*
%{_datadir}/rssh


%changelog
* Wed Jan 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.2-9mdv2009.0
+ Revision: 486610
- fix upgrade docfile name, and make it version-aware
- add a README.urpmi.upgrade file to advertise needed changes in configuration file
- don't forget to install conversion script
- run conversion script on upgrade, to support additional svsnserve bit
- add debian patch for subversion support
- no need to require presence of binaries during build, path can be forced

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.2-7mdv2009.0
+ Revision: 260378
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.2-6mdv2009.0
+ Revision: 251557
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.3.2-4mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.3.2-4mdv2008.0
+ Revision: 63031
- Import rssh



* Sun Aug 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.3.2-4mdv2007.0
- fix deps

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdv2007.0
- Rebuild

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 2.3.2-2mdk
- Rebuild

* Sat Jan 07 2006 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdk
- New release 2.3.2

* Sat Dec 31 2005 Götz Waschk <waschk@mandriva.org> 2.3.1-1mdk
- New release 2.3.1

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdk
- New release 2.3.0

* Sat Apr 09 2005 Olivier Thauvin <nanardon@zarb.org> 2.2.3-2mdk
- help him to sftp-server for lib64 arch

* Sat Jan 15 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.2.3-1mdk
- New release 2.2.3

* Sat Oct 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.2.2-1mdk
- New release 2.2.2

* Sat Jun 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.2.1-1mdk
- New release 2.2.1

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- add %%_datadir/%%name/conf_convert.sh to migrate from 2.1.1
- New release 2.2.0

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- initial mdk package
